﻿
using System.IO;

using ThinkGeo.MapSuite.Drawing;

namespace _20190218_TicketViewAnalyseTerre
{
    public class ConstantsMap
    {

        //public const string NOMRASTER = "RASTER";
        public const string REFERENCETXT = "REFERENCEFILE_V3.TXT";       
        public const string NOMOVERLAYRASTER = "RASTEROVERLAY";
        public const string NOMOVERLAYLAYER = "LAYEROVERLAY";
        public const string REP_RASTER = "RASTER";
        public const string REP_REFERENCETXT = "REFERENCETXT";
        public const string FICHIERXML = "ListeCouchesACharger.xml";

        public enum TypeCouche
        {
            shp,
            raster,
            sql

        }

        public static TypeCouche RenvoyerTypeCouche(string typeCouche)
        {
            switch (typeCouche.ToLower())
            {
                case "shape":
                    return TypeCouche.shp;
                case "raster":
                    return TypeCouche.raster;
                case "sql":
                    return TypeCouche.sql;

                default : 
                    throw new FileFormatException("mauvais parsage dans le fichier xml");
            }
        }

        public static GeoColor RenvoyerCouleur(string couleur)
        {
            switch (couleur.ToLower())
            {
                case "rouge":
                    return GeoColor.SimpleColors.Red;

                case "jaune":
                    return GeoColor.SimpleColors.Yellow;

                case "bleu":
                    return GeoColor.SimpleColors.Blue;

                case "orange":
                    return GeoColor.SimpleColors.Orange;

                case "rose":
                    return GeoColor.StandardColors.Pink;

                default:
                    return GeoColor.SimpleColors.Black;
            }

        }

    }
}
