﻿

using ThinkGeo.MapSuite.Layers;

namespace _20190218_TicketViewAnalyseTerre
{
    public abstract class LayerBase
    {
        public string NomOverlay { get; set; }
        public string NomLayer { get; set; }
        public int OrderDisplay { get; set; }
        public bool? Visible { get; set; }
        public double? Transparence { get; set; }

        public LayerBase(string nomLayer, string nomOverlay, int orderDisplay, bool? visible)
        {
            this.NomLayer = nomLayer;
            this.NomOverlay = nomOverlay;
            this.OrderDisplay = orderDisplay;
            this.Visible = visible;
            this.Transparence = 255;
        }

        internal abstract Layer CreateLayer(int projectionAffichage);
        internal abstract Layer CreateLayer(int projectionLayer, int projectionAffichage);
        internal abstract Layer CreateLayer(string internalProjection, int projectionAffichage);        
    }
}
