﻿using System;
using ThinkGeo.MapSuite.Layers;

namespace _20190218_TicketViewAnalyseTerre
{
    public class OutilsOvLyr
    {

        /// <summary>
        /// Récupère le chemin du référence pour les txt référence
        /// </summary>
        public static string PathRefTxtRaster
        {
            get { return pathMap(ConstantsMap.REP_REFERENCETXT); }
        }

        /// <summary>
        ///  Récupère le chemin des rasters
        /// </summary>
        /// <returns></returns>
        private static string pathMap(string nmRep)
        {
            var a = System.Reflection.Assembly.GetExecutingAssembly();
            string p = System.IO.Path.Combine(System.IO.Path.GetDirectoryName(a.Location), nmRep);

            return p;
        }

        ///// <summary>
        /////  Récupère le chemin des rasters
        ///// </summary>
        ///// <returns></returns>
        //private static string pathRaster()
        //{
        //    //string p = string.Empty;
        //    //if (p == string.Empty)
        //    //{
        //    //    var a = System.Reflection.Assembly.GetExecutingAssembly();
        //    //    p = System.IO.Path.Combine(System.IO.Path.GetDirectoryName(a.Location), ConstantsMap.REP_RASTER);
        //    //}
        //    //return p;

        //    return @"C:\Steph_Raster\RASTER";
        //}

        public static string Path(string chemin)
        {
            return pathMap(chemin); 
        }
     

        /// <summary>
        /// Paramètre la valeur de l'échelle pour chacun des zooms
        /// </summary>
        /// <param name="wpfMap"></param>
        /// <param name="maxScale"></param>
        /// <param name="zoomLevelCount"></param>
        internal static void CustomScaleZoomLevel(ZoomLevelSet zoomLv)
        {
            zoomLv.ZoomLevel01.Scale = Math.Round(4613998.359375, 10);
            zoomLv.ZoomLevel02.Scale = Math.Round(zoomLv.ZoomLevel01.Scale / 2, 10);
            zoomLv.ZoomLevel03.Scale = Math.Round(zoomLv.ZoomLevel02.Scale / 2, 10);
            zoomLv.ZoomLevel04.Scale = Math.Round(zoomLv.ZoomLevel03.Scale / 2, 10);
            zoomLv.ZoomLevel05.Scale = Math.Round(zoomLv.ZoomLevel04.Scale / 2, 10);
            zoomLv.ZoomLevel06.Scale = Math.Round(zoomLv.ZoomLevel05.Scale / 2, 10);
            zoomLv.ZoomLevel07.Scale = Math.Round(zoomLv.ZoomLevel06.Scale / 2, 10);
            zoomLv.ZoomLevel08.Scale = Math.Round(zoomLv.ZoomLevel07.Scale / 2, 10);
            zoomLv.ZoomLevel09.Scale = Math.Round(zoomLv.ZoomLevel08.Scale / 2, 10);
            zoomLv.ZoomLevel10.Scale = Math.Round(zoomLv.ZoomLevel09.Scale / 2, 10);
            zoomLv.ZoomLevel11.Scale = Math.Round(zoomLv.ZoomLevel10.Scale / 2, 10);
            zoomLv.ZoomLevel12.Scale = Math.Round(zoomLv.ZoomLevel11.Scale / 2, 10);
            zoomLv.ZoomLevel13.Scale = Math.Round(zoomLv.ZoomLevel12.Scale / 2, 10);
            zoomLv.ZoomLevel14.Scale = Math.Round(zoomLv.ZoomLevel13.Scale / 2, 10);
            zoomLv.ZoomLevel15.Scale = Math.Round(zoomLv.ZoomLevel14.Scale / 2, 10);
            zoomLv.ZoomLevel16.Scale = Math.Round(zoomLv.ZoomLevel15.Scale / 2, 10);
            zoomLv.ZoomLevel17.Scale = Math.Round(zoomLv.ZoomLevel16.Scale / 2, 10);
            zoomLv.ZoomLevel18.Scale = Math.Round(zoomLv.ZoomLevel17.Scale / 2, 10);
            zoomLv.ZoomLevel19.Scale = Math.Round(zoomLv.ZoomLevel18.Scale / 2, 10);
            zoomLv.ZoomLevel20.Scale = Math.Round(zoomLv.ZoomLevel19.Scale / 2, 10);
        }
    }
}
